Skip to content
Documentation

Get an access token

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

auth

​
auth Operations

Get an access token

​

Exchange your email and an app password for an access token. Generate an app password from the MFA settings page in your account settings - your regular account password will not work here.

Body·TokenRequest

required
application/json
  • App password generated for this account, used in place of the account's login credentials.

  • Account email address.

Responses

  • application/json
  • application/json
Request Example for post/auth/token
curl /auth/token \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "",
  "app_password": ""
}'
{
  "access_token": "string"
}